struct VS_OUTPUT {
	float4 clipPos: POSITION;
	float4 pos: TEXCOORD0;
	float2 uv: TEXCOORD1;
	float3 normal: TEXCOORD2;
	float4 lightPos: TEXCOORD3;
	float3 eyePos: TEXCOORD4;
};

float4 lightPosition;
float3 eyePosition;
float4x4 worldviewproj;

VS_OUTPUT main(
	float4 pos: POSITION,
	float3 normal: NORMAL,
	float2 uv: TEXCOORD0
)
{
	VS_OUTPUT Out;

	Out.clipPos = mul(worldviewproj, pos);
	Out.pos = pos;
	Out.uv = uv;
	Out.normal = normal;
	Out.lightPos = lightPosition;
	Out.eyePos = eyePosition;

	return Out;
}
	
	